import 'package:niogu_ecommerce_v1/features/order/domain/entities/order.dart';

abstract class IOrderRepository {
  Future<List<OrderReport>> fetchOrders();

  Future<OrderInfo?> fetchOrderById(String orderId);

  Future<void> cancelOrder(String orderId);

  Future<void> cancellationRequest(String orderId);

  Future<List<ProductReviewItem>> fetchProductReviewItem(String orderId);

  Future<void> reviewProduct(String orderId, List<ProductReview> reviews);
}
